ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Package Foundry

The package file must be a compressed folder?

Author Message
laziel



Joined: 02 Jan 2006
Posts: 3

PostPosted: Mon Jan 02, 2006 6:19 am    Post subject: The package file must be a compressed folder? Reply with quote

Hi,

I'm testing on IPF3 linux evaluation.
when I define package file option, result displays follwing:

Code:

$ ipf_demo --package-file archive.zip
The package file must be a compressed folder.


even archive.zip is valid zip file and is a compressed folder with files, that error message only displayed. what is problem? and how can I solve this?
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2757

PostPosted: Mon Jan 02, 2006 1:25 pm    Post subject: Reply with quote

Make sure that your zip file has only a folder at its top level, i.e. that if you unzip the archive, the only thing created in the folder where you unzip is the archive folder. Better than this, however, is not to specify an archive at all and just to specify a folder. IPF will internally build its own file hierarchy, and it's likely to be faster overall to let IPF take your directory than a prebuilt zip file.
_________________
Community Admin
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Package Foundry All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum